@anonymous-piwik-user opened this Issue on February 27th 2014

I cloned piwik-dev-environment from github. Upon "vagrant up" the following error occurs:

Puppet::Parser::AST::Resource failed with error ArgumentError: Invalid resource type php::module at /tmp/vagrant-puppet-1/modules-0/piwik/manifests/php.pp:20 on node piwik-precise64

Maybe it is related to the following git error:

git submodule update
fatal: reference is not a tree: 35ed8f610572f45beb85d29fcba4f2b9f2ae6da6
Unable to checkout '35ed8f610572f45beb85d29fcba4f2b9f2ae6da6' in submodule path 'puppet/modules/php'

Please push the submodule, hopefully the first error is already resolved than. Thank you

@tsteur commented on February 28th 2014 Owner

Thx for reporting juergen.

I just pushed 2 commits which should make it work again. puppet/modules/php caused the problem indeed. The module seems to be completely changed. As I do not find the time to make it compatible with this module I replaced the submodule with a backup of those files. So there will be no longer a php submodule.

This also means the standalone puppet-piwik repository would currently not work and will leave the ticket open therefore. I might remove the puppet-piwik repository as well and copy it into piwik-dev-environment

@tsteur commented on March 7th 2014 Owner

done

This Issue was closed on March 7th 2014
Powered by GitHub Issue Mirror